"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = require("axios");
class JiraClient {
    constructor(config) {
        this.username = config.username;
        this.accessToken = config.accessToken;
        this.host = config.host;
    }
    async getJiraTicket(ticketId) {
        const response = await axios_1.default({
            url: `https://${this.host}/rest/api/latest/issue/${ticketId}`,
            auth: {
                username: this.username,
                password: this.accessToken
            }
        });
        return response.data;
    }
}
exports.JiraClient = JiraClient;
